<!-- zwSearchBar 搜索栏 -->
<template>
  <div>
<!--    <van-search shape="round" @click="handelClick" class="searchBar" disabled :placeholder="placeholder" />-->
    <img :src="profile" style="width: 7%;position: absolute;top: 12px;right: 18px;"  @click="gotoMyPage"   />
    <goods-search v-model="show" @search="handelSearch" />
  </div>

</template>

<script>
import goodsSearch from '@/components/goodsSearch'
export default {
  name: 'zwSearchBar',
  components: { goodsSearch },
  props: {
    placeholder: {
      type: String,
      default: '请输入关键字...'
    }
  },
  data() {
    return {
      show: false,
      profile:'',
    }
  },
  mounted() {
    this.profile = require('../../assets/img/profile.png');
  },
  methods: {
    //初始化方法
    init() { },
    handelClick() {
      this.show = true
      this.$emit('click')
    },
    handelSearch(v) {
      this.$router.push(`/goodsList?search=${v}`)

    },
    gotoMyPage(){
      this.$router.push(`/index/my`)
    }
  },
}

</script>
<style lang='scss' >
.searchBar {
  background: #f8f8f8 !important;
  .van-search__content{
    background: #F0F2F5;
    max-width: 85%;
  }
  input {
    // text-align: center !important;
    font-size: 0.28rem;

  }
}
</style>
